PlayCast - Remote Play for PS4

Price: $9.99

Infomation

Category:
Entertainment
By:
Bitwise Solutions Limited
Version:
1.4
Released:
2016-09-14
Shared:
2016-09-15
Size:
25.0 MB
Download:
16020
Compatibility:
Compatibility: Requires iOS 8.0 or later. Compatible with iPhone, iPad, and iPod touch.

Description

Stream your PS4 games to your iPhone, iPad or iPod touch. Enjoy your PS4 games remotely, whether in another room away from the TV, or even while away from home by streaming over the internet.

PlayCast features:

• Supports HD 720p video at 60 frames per second for crisp, smooth gameplay
• Control games with any MFi game controller, or the built in virtual on-screen controller
• Very low input latency
• Play your PS4 from anywhere via remote play over the internet
• Customise the virtual on-screen controller to your liking
• Quick and easy one-time setup, start playing within seconds

To use PlayCast, your PS4 must be connected to your home network via LAN cable. For the best streaming experience, having your iPhone, iPad or iPod touch connected to a 5Ghz WiFi network is highly recommended. Your PS4 must be linked to a PSN account (however, PlayCast does NOT require your PSN password).

The current version of PlayCast requires that your PS4 is running system software 4.0; other versions are not supported.

Disclaimer: PS4 and PSN are trademarks of Sony Computer Entertainment Inc. PlayCast is in no way endorsed by or affiliated with Sony Computer Entertainment Inc, or any associated subsidiaries, logos or trademarks.

...More

Video/Screenshots

What's New

• Added support for PS4 system software v4.0

...More Download the app
  • Download

  • Cracker/Uploader: AwesomeRob-ICPDA
    Date: 2016-09-15 16:20 Version:1.4
    Memo:
  • Cracker/Uploader: AwesomeRob-ICPDA
    Date: 2016-09-15 16:20 Version:1.4
    Memo:
  • All Version Links

Download the app

Infomation

Category:
Entertainment
By:
Bitwise Solutions Limited
Version:
1.4
Released:
2016-09-14
Shared:
2016-09-15
Size:
25.0 MB
Download:
16020
Compatibility:
Compatibility: Requires iOS 8.0 or later. Compatible with iPhone, iPad, and iPod touch.